@echo =========  SQL Server Ports  ===================
 
@echo === THIS MUST BE RUN FROM AN ELEVATED COMMAND PROMPT! ===
 
pause
 
@echo [ Using the new 'netsh advfirewall firewall' command ]
 
@echo Enabling SQLServer default instance port 1433
 

netsh advfirewall firewall add rule name="SQLServer (port 1433)" dir=in action=allow protocol=TCP localport=1433
 
@echo Enabling Dedicated Admin Connection port 1434
 

netsh advfirewall firewall add rule name="SQL Admin Connection (port 1434)" dir=in action=allow protocol=TCP localport=1434
 
@echo Enabling conventional SQL Server Service Broker port 4022  
 
netsh advfirewall firewall add rule name="SQL Service Broker (port 4022)" dir=in action=allow protocol=TCP localport=4022
 
@echo Enabling Transact-SQL Debugger/RPC port 135 


netsh advfirewall firewall add rule name="SQL Debugger/RPC (port 135)" dir=in action=allow protocol=TCP localport=135
 
@echo =========  Analysis Services Ports  ==============
 
@echo Enabling SSAS Default Instance port 2383
 

netsh advfirewall firewall add rule name="Analysis Services (port 2383)" dir=in action=allow protocol=TCP localport=2383
 
@echo Enabling SQL Server Browser Service port 2382
 

netsh advfirewall firewall add rule name="SQL Browser (port 2382)" dir=in action=allow protocol=TCP localport=2382
 
@echo Enabling port for SQL Server Browser Service's 'Browse' Button
 

netsh advfirewall firewall add rule name="SQL Browser (port 1434)" dir=in action=allow protocol=TCP localport=1434
 
@echo =========  Misc Applications  ==============
 
@echo Enabling HTTP port 80 


netsh advfirewall firewall add rule name="HTTP (port 80)" dir=in action=allow protocol=TCP localport=80
 
@echo Enabling SSL port 443


netsh advfirewall firewall add rule name="SSL (port 443)" dir=in action=allow protocol=TCP localport=443
 
@echo Allowing multicast broadcast response on UDP (Browser Service Enumerations OK)
 
:: NOTE While the following command will return a 'netsh is depreciated' warning, it still works.
 
:: I could not find any reference to the correct syntax in 'netsh advfirewall' so I left the original command
 
netsh firewall set multicastbroadcastresponse ENABLE 


pause "Done"