rem echo off
rem Erzeugen der TasAlyser-Verzeichnisse auf C:\


set everyone=Everyone
rem auf deutschen Systemen heit Everyone Jeder...
if exist C:\Programme set everyone=Jeder

rem Systemverzeichnis ermitteln

set progpath=%PROGRAMFILES(x86)%
if "%PROGRAMFILES(x86)%"=="" set progpath=%PROGRAMFILES%

rem DiscomSoftwareRoot ermitteln
set DiscomSoftwareRoot=%progpath%\Discom

rem DiscomProg-Verzeichnis anlegen und Rechte setzen
echo -------------------------------------
echo Creating Discom folders
echo -------------------------------------
if not exist "%DiscomSoftwareRoot%" mkdir "%DiscomSoftwareRoot%"
cacls "%DiscomSoftwareRoot%" /E /p %everyone%:f /t
rem Presentations und Collector-Ordner auch schon mal anlegen
if not exist "%DiscomSoftwareRoot%\Presentation" mkdir "%DiscomSoftwareRoot%\Presentation"
if not exist "%DiscomSoftwareRoot%\ArchiveCollector" mkdir "%DiscomSoftwareRoot%\ArchiveCollector"

rem typische Verzeichnisse erzeugen und Rechte setzen
if not exist C:\Discom mkdir c:\Discom
if not exist C:\Discom\Analysis mkdir C:\Discom\Analysis
if not exist C:\Discom\Measurement mkdir C:\Discom\Measurement
if not exist C:\Discom\Measurement\MulitRot mkdir C:\Discom\Measurement\MultiRot
cacls C:\Discom /E /p %everyone%:f /t

if not exist C:\Outbox mkdir c:\Outbox
cacls C:\Outbox /E /p %everyone%:f /t

echo -------------------------------------
echo Done.
echo -------------------------------------

pause
